nameReference:
  - kind: Secret
    fieldSpecs:
      - kind: ImageRepository
        path: spec/secretRef/name
  - kind: ImageRepository
    fieldSpecs:
      - kind: ImagePolicy
        path: spec/imageRepositoryRef/name
